Summary: generates barcodes from text strings
Name: barcode
Version: 0.98
Release: 14%{?dist}
License: GPLv2+
Group: Applications/Text
Source0: ftp://ftp.gnu.org/gnu/barcode/barcode-0.98.tar.gz
Patch0: barcode-configure.patch
Patch1: barcode-install-info.patch
URL: http://www.gnu.org/software/barcode/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(preun): /sbin/install-info
Requires(post): /sbin/install-info
BuildRequires: tetex, tetex-dvips, texinfo-tex, ghostscript

%description
Barcode is meant to solve most needs in barcode creation with a
conventional printer. It can create printouts for the conventional
product tagging standards: UPC-A, UPC-E, EAN-13, EAN-8, ISBN, as well
as a few other formats. Ouput is generated as either Postscript or
Encapsulated Postscript.

%package devel
Summary:        Header files and libraries for %{name} development
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains the header files and libraries needed
to develop programs that use the %{name} library.

%prep
%setup -q
%patch0 -p1 -b .directories
%patch1 -p1 -b .categories

%build
%configure
make

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/barcode.info.gz %{_infodir}/dir || :

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/barcode.info.gz %{_infodir}/dir || :
fi

%files
%defattr(-, root, root)
%doc COPYING ChangeLog README TODO
%{_bindir}/barcode
%{_mandir}/man1/barcode.1.gz
%{_infodir}/barcode.info.gz

%files devel
%defattr(-, root, root)
%{_includedir}/*.h
%{_libdir}/*.a
%{_mandir}/man3/barcode.3.gz

%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.98-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.98-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jul 14 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.9.8-12
- fix license tag

* Mon Feb 11 2008 Andreas Thienemann <andreas@bawue.net> - 0.9.8-11
- Rebuild against gcc-4.3

* Fri Sep 08 2006 Andreas Thienemann <andreas@bawue.net> - 0.9.8-10
- FE6 Rebuild

* Mon Mar 27 2006 Andreas Thienemann <andreas@bawue.net> 0.9.8-9
- Changed texinfo dependency to texinfo-tex to satisfy #186825

* Sun Feb 05 2006 Andreas Thienemann <andreas@bawue.net> 0.98-8
- Enabled --excludedocs install

* Thu Jul 15 2005 Andreas Thienemann <andreas@bawue.net> 0.98-7
- Switched off threaded make, as it's causing problems when rebuilding
  the documentation

* Thu Jul 07 2005 Andreas Thienemann <andreas@bawue.net> 0.98-6
- Added configure patch to pick up correct libdir for x86_64
- Added missing BuildRequires for ghostscript and tetex-dvips

* Thu Jul 07 2005 Andreas Thienemann <andreas@bawue.net> 0.98-5
- Added install-info support to the texinfo file.
- Fixed minor spec errors

* Thu Jul 01 2005 Andreas Thienemann <andreas@bawue.net> 0.98-4
- Added info-install in post and pre stage.

* Thu Jul 01 2005 Andreas Thienemann <andreas@bawue.net> 0.98-3
- Added %%{epoch} tag to the -devel requires.

* Thu Jun 30 2005 Andreas Thienemann <andreas@bawue.net> 0.98-2
- spec cleanup.

* Wed Jun 29 2005 Andreas Thienemann <andreas@bawue.net> 0.98-1
- Initial RPM release.

